/**
 * AirNav On Demand API
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 2.3.16
 * 
 *
 * NOTE: This file is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the file manually.
 */

import * as api from "./api"
import { Configuration } from "./configuration"

const config: Configuration = {}

describe("AircraftApi", () => {
  let instance: api.AircraftApi
  beforeEach(function() {
    instance = new api.AircraftApi(config)
  });

  test("getAircraft", () => {
    const modeS: string = "modeS_example"
    const registration: string = "registration_example"
    const includeStatistics: boolean = true
    const startMonth: string = "startMonth_example"
    const endMonth: string = "endMonth_example"
    return expect(instance.getAircraft(modeS, registration, includeStatistics, startMonth, endMonth, {})).resolves.toBe(null)
  })
  test("searchAircraft", () => {
    const aircraftType: string = "aircraftType_example"
    const airline: string = "airline_example"
    return expect(instance.searchAircraft(aircraftType, airline, {})).resolves.toBe(null)
  })
})

describe("AirportsApi", () => {
  let instance: api.AirportsApi
  beforeEach(function() {
    instance = new api.AirportsApi(config)
  });

  test("getAirport", () => {
    const icaoCode: string = "icaoCode_example"
    return expect(instance.getAirport(icaoCode, {})).resolves.toBe(null)
  })
  test("getDatis", () => {
    const icaoCode: string = "icaoCode_example"
    return expect(instance.getDatis(icaoCode, {})).resolves.toBe(null)
  })
  test("getMetar", () => {
    const icaoCode: string = "icaoCode_example"
    return expect(instance.getMetar(icaoCode, {})).resolves.toBe(null)
  })
  test("getTaf", () => {
    const icaoCode: string = "icaoCode_example"
    return expect(instance.getTaf(icaoCode, {})).resolves.toBe(null)
  })
  test("searchAirport", () => {
    const countryCode: string = "countryCode_example"
    const countryName: string = "countryName_example"
    const icaoCode: string = "icaoCode_example"
    const onlyMajor: boolean = true
    const city: string = "city_example"
    const latitude1: number = 1.2
    const longitude1: number = 1.2
    const latitude2: number = 1.2
    const longitude2: number = 1.2
    return expect(instance.searchAirport(countryCode, countryName, icaoCode, onlyMajor, city, latitude1, longitude1, latitude2, longitude2, {})).resolves.toBe(null)
  })
})

describe("AirspaceApi", () => {
  let instance: api.AirspaceApi
  beforeEach(function() {
    instance = new api.AirspaceApi(config)
  });

  test("getNatTracks", () => {
    return expect(instance.getNatTracks({})).resolves.toBe(null)
  })
  test("getNotams", () => {
    const icaoCode: string = "icaoCode_example"
    return expect(instance.getNotams(icaoCode, {})).resolves.toBe(null)
  })
  test("getPacTracks", () => {
    return expect(instance.getPacTracks({})).resolves.toBe(null)
  })
})

describe("BillingApi", () => {
  let instance: api.BillingApi
  beforeEach(function() {
    instance = new api.BillingApi(config)
  });

  test("status", () => {
    const authorization: string = "authorization_example"
    return expect(instance.status(authorization, {})).resolves.toBe(null)
  })
  test("usage", () => {
    const authorization: string = "authorization_example"
    const fromDate: Date = 2013-10-20T19:20:30+01:00
    const toDate: Date = 2013-10-20T19:20:30+01:00
    return expect(instance.usage(authorization, fromDate, toDate, {})).resolves.toBe(null)
  })
})

describe("FlightsApi", () => {
  let instance: api.FlightsApi
  beforeEach(function() {
    instance = new api.FlightsApi(config)
  });

  test("aircraftPosition", () => {
    const body: api.RtAircraftPositionQuery = undefined
    const authorization: string = "authorization_example"
    return expect(instance.aircraftPosition(body, authorization, {})).resolves.toBe(null)
  })
  test("geosearch", () => {
    const body: api.GeoSearchQuery = undefined
    const authorization: string = "authorization_example"
    const page: number = 56
    const pageSize: number = 56
    return expect(instance.geosearch(body, authorization, page, pageSize, {})).resolves.toBe(null)
  })
  test("getScheduledFlights", () => {
    const authorization: string = "authorization_example"
    const flightId: string = "flightId_example"
    const fromAirport: string = "fromAirport_example"
    const toAirport: string = "toAirport_example"
    const airline: string = "airline_example"
    const departureFromDate: Date = 2013-10-20T19:20:30+01:00
    const departureToDate: Date = 2013-10-20T19:20:30+01:00
    const arrivalFromDate: Date = 2013-10-20T19:20:30+01:00
    const arrivalToDate: Date = 2013-10-20T19:20:30+01:00
    return expect(instance.getScheduledFlights(authorization, flightId, fromAirport, toAirport, airline, departureFromDate, departureToDate, arrivalFromDate, arrivalToDate, {})).resolves.toBe(null)
  })
  test("search", () => {
    const body: api.FlightsQuery = undefined
    const authorization: string = "authorization_example"
    const page: number = 56
    const pageSize: number = 56
    return expect(instance.search(body, authorization, page, pageSize, {})).resolves.toBe(null)
  })
})

describe("StatisticsApi", () => {
  let instance: api.StatisticsApi
  beforeEach(function() {
    instance = new api.StatisticsApi(config)
  });

  test("getAirlineStatistics", () => {
    const icaoCode: string = "icaoCode_example"
    return expect(instance.getAirlineStatistics(icaoCode, {})).resolves.toBe(null)
  })
  test("getAirlinesStatistics", () => {
    return expect(instance.getAirlinesStatistics({})).resolves.toBe(null)
  })
  test("getBusJetModelsStatisticsInternal", () => {
    return expect(instance.getBusJetModelsStatisticsInternal({})).resolves.toBe(null)
  })
  test("getBusJetOperatorStatisticsInternal", () => {
    return expect(instance.getBusJetOperatorStatisticsInternal({})).resolves.toBe(null)
  })
  test("getBusinessAirportStatistics", () => {
    return expect(instance.getBusinessAirportStatistics({})).resolves.toBe(null)
  })
  test("getBusinessFlightsStatistics", () => {
    return expect(instance.getBusinessFlightsStatistics({})).resolves.toBe(null)
  })
  test("getCommercialAirportStatistics", () => {
    return expect(instance.getCommercialAirportStatistics({})).resolves.toBe(null)
  })
  test("getCommercialFlightsStatistics", () => {
    return expect(instance.getCommercialFlightsStatistics({})).resolves.toBe(null)
  })
  test("getFlightsStatistics", () => {
    return expect(instance.getFlightsStatistics({})).resolves.toBe(null)
  })
  test("getMajorAirportStatistics", () => {
    return expect(instance.getMajorAirportStatistics({})).resolves.toBe(null)
  })
})

